MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::SSAccResult< T > Class Template Reference

This associates a result datum with an accuracy. More...

`#include <comptmpl.h>`

Inheritance diagram for sc::SSAccResult< T >:
[legend]
Collaboration diagram for sc::SSAccResult< T >:
[legend]

## Public Member Functions
| SSAccResult (Compute *c)
| SSAccResult (const SSAccResult< T > &r, Compute *c)
| operator T & ()
T * | operator-> ()
T & | result ()
T & | result_noupdate ()
const T & | result_noupdate () const
void | operator= (const T &a)
void | operator= (const SSAccResult< T > &r)
void | restore_state (StateIn &s)
void | save_data_state (StateOut &s)
| SSAccResult (StateIn &s, Compute *c)
Public Member Functions inherited from sc::AccResultInfo
| AccResultInfo (Compute *c)
double | actual_accuracy () const
double | desired_accuracy () const
void | set_desired_accuracy (double)
void | set_actual_accuracy (double)
int | computed_to_desired_accuracy () const
int | needed () const
Public Member Functions inherited from sc::ResultInfo
| ResultInfo (Compute *c)
int & | compute ()
const int & | compute () const
int | compute (int c)
int & | computed ()
const int & | computed () const

## Additional Inherited Members
Protected Member Functions inherited from sc::AccResultInfo
| AccResultInfo (StateIn &, Compute *)
| AccResultInfo (const AccResultInfo &, Compute *)
AccResultInfo & | operator= (const AccResultInfo &)
void | update ()
Protected Attributes inherited from sc::ResultInfo
int | _compute
int | _computed
Compute * | _c

## Detailed Description

### template<class T>
class sc::SSAccResult< T >

This associates a result datum with an accuracy.

The datum must be a SavableState and will be saved and restored.

The documentation for this class was generated from the following file:

- comptmpl.h